summaryrefslogtreecommitdiff
path: root/dev-ruby/xpath
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-ruby/xpath
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-ruby/xpath')
-rw-r--r--dev-ruby/xpath/Manifest1
-rw-r--r--dev-ruby/xpath/metadata.xml12
-rw-r--r--dev-ruby/xpath/xpath-3.2.0-r1.ebuild26
3 files changed, 39 insertions, 0 deletions
diff --git a/dev-ruby/xpath/Manifest b/dev-ruby/xpath/Manifest
new file mode 100644
index 000000000000..e48669f94fb7
--- /dev/null
+++ b/dev-ruby/xpath/Manifest
@@ -0,0 +1 @@
+DIST xpath-3.2.0.gem 14336 BLAKE2B a7e1927fe8831669171e4ffa4677d33fb2276820742596d20f7cadc47f0a523b1b438d7568c195119259c8e2f9f49e3bdf1bc224001f7e215a4a02af1e84e142 SHA512 2059938387f4d1656867457a480182bd73e02f265071a394472122aea0b5b4fb0af985ec5be513d2425cf1c341bf18c3cfb67616ba02e30ce6331879964dedc3
diff --git a/dev-ruby/xpath/metadata.xml b/dev-ruby/xpath/metadata.xml
new file mode 100644
index 000000000000..b3826aa3c301
--- /dev/null
+++ b/dev-ruby/xpath/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">teamcapybara/xpath</remote-id>
+ <remote-id type="rubygems">xpath</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-ruby/xpath/xpath-3.2.0-r1.ebuild b/dev-ruby/xpath/xpath-3.2.0-r1.ebuild
new file mode 100644
index 000000000000..64761af44b51
--- /dev/null
+++ b/dev-ruby/xpath/xpath-3.2.0-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="XPath is a Ruby DSL around a subset of XPath 1.0"
+HOMEPAGE="https://github.com/teamcapybara/xpath"
+LICENSE="MIT"
+
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+SLOT="3"
+
+ruby_add_rdepend ">=dev-ruby/nokogiri-1.8:0"
+
+all_ruby_prepare() {
+ sed -i -e '/\(bundler\|pry\)/d' spec/spec_helper.rb || die
+}